POST api/order/{id}/update
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | string |
Required |
Body Parameters
OrderDto| Name | Description | Type | Additional information |
|---|---|---|---|
| ShortUnique | string |
None. |
|
| Id | globally unique identifier |
None. |
|
| PersonId | globally unique identifier |
None. |
|
| PersonName | string |
None. |
|
| Products | Collection of EntityDto |
None. |
|
| CampaignId | globally unique identifier |
None. |
|
| CampaignName | string |
None. |
|
| Updated | date |
None. |
|
| Status | integer |
None. |
|
| StatusName | string |
None. |
|
| OrderLines | Collection of OrderLineDto |
None. |
|
| Postage | PriceDto |
None. |
|
| Price | PriceDto |
None. |
|
| Created | date |
None. |
|
| Recurring | boolean |
None. |
|
| FullfillmentCompany | string |
None. |
|
| FulfillmentId | string |
None. |
|
| PaymentId | string |
None. |
|
| PaymentCompany | string |
None. |
|
| Comment | string |
None. |
|
| DeliveryMethod | string |
None. |
|
| PaymentCompanySubscriptionId | string |
None. |
|
| StatusDto | StatusDto |
None. |
|
| CampaignCode | string |
None. |
|
| Campaign | EntityDto |
None. |
|
| FromCart | globally unique identifier |
None. |
|
| IsExternalOrder | boolean |
None. |
|
| FulfillmentDate | date |
None. |
|
| FulfillmentDeliveryDate | date |
None. |
|
| CaptureDate | date |
None. |
|
| PaidDate | date |
None. |
|
| Shop | EntityDto |
None. |
|
| FulfillmentStatus | string |
None. |
|
| FulfillmentPurchaseOrderId | string |
None. |
|
| PaymentStatus | string |
None. |
|
| PaymentMethod | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"shortUnique": "sample string 1",
"id": "fdd4b331-9b76-4439-9521-7f3279275619",
"personId": "1842b5cc-58b4-4058-b5b1-16d4720fed1f",
"personName": "sample string 3",
"products": [
{
"id": "2af0affa-56c2-41a9-8135-995901e4e8ab",
"name": "sample string 2",
"type": "sample string 3"
},
{
"id": "2af0affa-56c2-41a9-8135-995901e4e8ab",
"name": "sample string 2",
"type": "sample string 3"
}
],
"campaignId": "4e905fa1-e4ef-4fe5-bbe1-863e93e64633",
"campaignName": "sample string 4",
"updated": "2026-11-07T02:25:41.1829437+01:00",
"status": 6,
"statusName": "sample string 7",
"orderLines": [
{
"id": "22e2ba33-b256-4b37-9796-a02a4a617013",
"type": "sample string 2",
"count": 3.0,
"price": {
"id": "22297571-03f1-4512-8109-977708bb744a",
"amount": 1.0,
"currency": "sample string 2",
"productId": "ae83044f-4e14-4e7b-9cab-463671beb023",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"names": [
"sample string 1",
"sample string 2"
],
"updated": "2026-11-07T02:25:41.1829437+01:00",
"created": "2026-11-07T02:25:41.1829437+01:00",
"campaignName": "sample string 6",
"campaignId": "bf275ff7-9c00-4c97-b674-f80c2170fd86",
"productName": "sample string 7",
"productId": "b223e2b4-6735-40bb-a614-f4794b7a57f2",
"recurring": true
},
{
"id": "22e2ba33-b256-4b37-9796-a02a4a617013",
"type": "sample string 2",
"count": 3.0,
"price": {
"id": "22297571-03f1-4512-8109-977708bb744a",
"amount": 1.0,
"currency": "sample string 2",
"productId": "ae83044f-4e14-4e7b-9cab-463671beb023",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"names": [
"sample string 1",
"sample string 2"
],
"updated": "2026-11-07T02:25:41.1829437+01:00",
"created": "2026-11-07T02:25:41.1829437+01:00",
"campaignName": "sample string 6",
"campaignId": "bf275ff7-9c00-4c97-b674-f80c2170fd86",
"productName": "sample string 7",
"productId": "b223e2b4-6735-40bb-a614-f4794b7a57f2",
"recurring": true
}
],
"postage": {
"id": "22297571-03f1-4512-8109-977708bb744a",
"amount": 1.0,
"currency": "sample string 2",
"productId": "ae83044f-4e14-4e7b-9cab-463671beb023",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"price": {
"id": "22297571-03f1-4512-8109-977708bb744a",
"amount": 1.0,
"currency": "sample string 2",
"productId": "ae83044f-4e14-4e7b-9cab-463671beb023",
"symbol": "sample string 3",
"isSymbolBefore": true
},
"created": "2026-11-07T02:25:41.1998764+01:00",
"recurring": true,
"fullfillmentCompany": "sample string 10",
"fulfillmentId": "sample string 11",
"paymentId": "sample string 12",
"paymentCompany": "sample string 13",
"comment": "sample string 14",
"deliveryMethod": "sample string 15",
"paymentCompanySubscriptionId": "sample string 16",
"statusDto": {
"id": 1,
"name": "sample string 2",
"readableName": "sample string 3",
"type": "sample string 4",
"color": "sample string 5"
},
"campaignCode": "sample string 17",
"campaign": {
"id": "2af0affa-56c2-41a9-8135-995901e4e8ab",
"name": "sample string 2",
"type": "sample string 3"
},
"fromCart": "e73fe794-51a6-4e5e-911b-eca16e127b13",
"isExternalOrder": true,
"fulfillmentDate": "2026-11-07T02:25:41.1998764+01:00",
"fulfillmentDeliveryDate": "2026-11-07T02:25:41.1998764+01:00",
"captureDate": "2026-11-07T02:25:41.1998764+01:00",
"paidDate": "2026-11-07T02:25:41.1998764+01:00",
"shop": {
"id": "2af0affa-56c2-41a9-8135-995901e4e8ab",
"name": "sample string 2",
"type": "sample string 3"
},
"fulfillmentStatus": "sample string 18",
"fulfillmentPurchaseOrderId": "sample string 19",
"paymentStatus": "sample string 20",
"paymentMethod": "sample string 21"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.